package com.zoo.entity;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author DJ
 * @since 2024-06-07
 */
public class Health implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 健康数据编号
     */
    private Integer id;

    /**
     * 动物id
     */
    private Integer animalId;

    /**
     * 动物名称
     */
    private String animalName;

    /**
     * 状态 0正常 1不正常
     */
    private Integer state;

    /**
     * 体温
     */
    private Double temperature;

    /**
     * 呼吸频率
     */
    private Integer breathRete;

    /**
     * 心跳频率
     */
    private Integer heartRete;

    /**
     * 血压
     */
    private Integer bloodPressure;

    /**
     * 记录日期
     */
    private String date;

    /**
     * 记录时间
     */
    private String time;

    /**
     * 描述
     */
    private String description;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    public Integer getAnimalId() {
        return animalId;
    }

    public void setAnimalId(Integer animalId) {
        this.animalId = animalId;
    }
    public String getAnimalName() {
        return animalName;
    }

    public void setAnimalName(String animalName) {
        this.animalName = animalName;
    }
    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }
    public Double getTemperature() {
        return temperature;
    }

    public void setTemperature(Double temperature) {
        this.temperature = temperature;
    }
    public Integer getBreathRete() {
        return breathRete;
    }

    public void setBreathRete(Integer breathRete) {
        this.breathRete = breathRete;
    }
    public Integer getHeartRete() {
        return heartRete;
    }

    public void setHeartRete(Integer heartRete) {
        this.heartRete = heartRete;
    }
    public Integer getBloodPressure() {
        return bloodPressure;
    }

    public void setBloodPressure(Integer bloodPressure) {
        this.bloodPressure = bloodPressure;
    }
    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }
    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }
    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    @Override
    public String toString() {
        return "Health{" +
                "id=" + id +
                ", animalId=" + animalId +
                ", animalName=" + animalName +
                ", state=" + state +
                ", temperature=" + temperature +
                ", breathRete=" + breathRete +
                ", heartRete=" + heartRete +
                ", bloodPressure=" + bloodPressure +
                ", date=" + date +
                ", time=" + time +
                ", description=" + description +
                "}";
    }
}

