package com.zoo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.zoo.entity.Veterinary;
import com.zoo.mapper.VeterinaryMapper;
import com.zoo.service.IVeterinaryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author DJ
 * @since 2024-05-17
 */
@Service
public class VeterinaryServiceImpl extends ServiceImpl<VeterinaryMapper, Veterinary> implements IVeterinaryService {

    @Override
    public Veterinary selectById(int roleId) {
        QueryWrapper<Veterinary> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("roleId",roleId);
        return this.getOne(queryWrapper);
    }
}
